# Cancel a Meeting Agent

Meeting Agents can be cancelled before they join the meeting. The way you cancel the agent will depend on how it was created:

- For Meeting Agents created through the [Schedule Meeting Agent API](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/schedule/index.md) you can use a new endpoint to [cancel the Scheduled Meeting Agent](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/cancel-scheduled/index.md).

- For Meeting Agents that were [provisioned on a calendar event](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/provisioning/index.md) you can either delete the event or [remove the Meeting Agent](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/cancel-scheduled/index.md).

> **INFO:** To enable this feature you will need to toggle it on in the Features section for your application in the Cronofy developer dashboard.

## Scheduled Meeting Agents
Cancels a Meeting Agent that was previously scheduled using the [Schedule Meeting Agent API](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/schedule/index.md).

### Example Request
```http
DELETE /v1/meeting_agents HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8

{
  "scheduling_key": "your-identifier-for-this-unique-meeting"
}
```

### Example Response
```http
HTTP/1.1 202 Accepted
```

### Parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](https://docs.cronofy.com/developers/data-centers/index.md).
##### `scheduling_key` *(required)*

The `scheduling_key` identifies the Meeting Agent from a previous [Schedule a Meeting Agent](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/schedule/index.md) API call.

If the previously-scheduled Meeting Agent has already begun joining the meeting, then it will remain active.

## Integrated Meeting Agents
For Meeting Agents that were [provisioned on a calendar event](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/provisioning/index.md), cancellation is done through the event itself rather than a separate API call.

There are two ways to cancel an Integrated Meeting Agent:

**Remove the Meeting Agent from the event** — update the event using the [Upsert Event API](https://docs.cronofy.com/api-reference/calendar-control/calendar-events/upsert-event/index.md) and set `meeting_agent.profile_id` to `none`:

```http
POST /v1/calendars/{calendar_id}/events HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "event_id": "your-event-id",
  "meeting_agent": {
    "profile_id": "none"
  }
}
```

**Delete the event** — delete the event using the [Delete Event API](https://docs.cronofy.com/api-reference/calendar-control/calendar-events/delete-event/index.md), which will also cancel the associated Meeting Agent.



---
[Read in HTML](https://docs.cronofy.com/api-reference/conferencing-and-transcription/meeting-agents/cancel-scheduled/)